Package org.apache.wiki.tags

## Class DiffLinkTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.WikiLinkTag
      - - org.apache.wiki.tags.DiffLinkTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class DiffLinkTag
    extends WikiLinkTag

Writes a diff link. Body of the link becomes the link text.

Attributes

- page - Page name to refer to. Default is the current page.
- version - The older of these versions. May be an integer to signify a version number, or the text "latest" to signify the latest version. If not specified, will default to "latest". May also be "previous" to signify a version prior to this particular version.
- newVersion - The newer of these versions. Can also be "latest", or "previous". Defaults to "latest".

If the page does not exist, this tag will fail silently, and not evaluate its body contents.

Since:
  2.0
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `VER_CURRENT`
`static java.lang.String` `VER_LATEST`
`static java.lang.String` `VER_PREVIOUS`

### Fields inherited from class org.apache.wiki.tags.WikiLinkTag

`ANCHOR, m_format, m_pageName, m_template, URL`

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`DiffLinkTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`java.lang.String` `getNewVersion()`
`java.lang.String` `getVersion()`
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setNewVersion​(java.lang.String arg)`
`void` `setVersion​(java.lang.String arg)`

### Methods inherited from class org.apache.wiki.tags.WikiLinkTag

`doEndTag, getPage, getTemplate, setFormat, setPage, setTemplate`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VER_LATEST

    public static final java.lang.String VER_LATEST

See Also:
  Constant Field Values

#### VER_PREVIOUS

    public static final java.lang.String VER_PREVIOUS

See Also:
  Constant Field Values

#### VER_CURRENT

    public static final java.lang.String VER_CURRENT

See Also:
  Constant Field Values

### Constructor Detail

#### DiffLinkTag

    public DiffLinkTag()

### Method Detail

#### initTag

    public void initTag()

Description copied from class: `WikiTagBase`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiLinkTag`

#### getVersion

    public final java.lang.String getVersion()

#### setVersion

    public void setVersion​(java.lang.String arg)

#### getNewVersion

    public final java.lang.String getNewVersion()

#### setNewVersion

    public void setNewVersion​(java.lang.String arg)

#### doWikiStartTag

    public final int doWikiStartTag()
                             throws java.io.IOException

Description copied from class: `WikiTagBase`
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `java.io.IOException`